Certificate Verification Failed In Zorin OS 16

Hello, I just switched to Zorin OS 16 today and I am facing an error while trying to run the "sudo apt update" command.

Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification.
I am getting these errors. Any help is appreciable. I have tried using "
sudo apt install ca-certificates" but to no avail.

Welcome to Zorin OS 16, and the Zorin Support Group Forum!

You already appear to know how to enter a terminal, so no need to provide instructions...

Input the command bellow...

sudo apt install ca-certificates

Sometimes a simple restart can fix update issues. And sometimes waiting a day fixes it too.

If this fixes your issue, don't forget to mark this post as solved.

   StarTreker

yoda
Your Tech Support Guru

2 Likes

Haha i love that master yoda screen :sunglasses:. Great work you do @StarTreker in helping all those people. I wish i had the knowlegde of you and @Aravisian ... Maybe some day :grin:

2 Likes

Thanks for your effort but it got solved automatically the next day.

Yes it did, and you are welcome! Have a stellar day! :star2:

  StarTreker

yoda
Your Tech Support Guru

1 Like